View Issue Details

IDProjectCategoryView StatusLast Update
0002064CentOS-5redhat-rpm-configpublic2012-07-21 20:59
Reporterjanfrode Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version5.0 
Fixed in Version5.1 
Summary0002064: /usr/lib/rpm/redhat/dist.sh doesn't return anything
DescriptionOn upstream /usr/lib/rpm/redhat/dist.sh returns ".el5" while on Centos5 it doesn't return anything. This will likely cause problems for srpms that wants to check which release they're being build for.


Additional InformationProposed fix:

--- /usr/lib/rpm/redhat/dist.sh.old 2007-05-20 21:32:04.000000000 +0200
+++ /usr/lib/rpm/redhat/dist.sh 2007-05-20 21:32:40.000000000 +0200
@@ -25,7 +25,7 @@
 }
 
 function check_rhel {
- egrep -q "(Enterprise|Advanced)" $RELEASEFILE && echo $DISTNUM
+ egrep -q "(Enterprise|Advanced|CentOS)" $RELEASEFILE && echo $DISTNUM
 }
 
 function check_fedora {
TagsNo tags attached.

Relationships

related to 0003239 resolvedkbsingh@karan.org ?dist does not return a result on Centos 5 

Activities

kbsingh@karan.org

kbsingh@karan.org

2007-05-20 20:14

administrator   ~0005204

thanks for the patch, I'll get it into the next release
kbsingh@karan.org

kbsingh@karan.org

2007-11-12 02:15

administrator   ~0006265

Rolled into redhat-rpm-config in CentOS-5.1

Issue History

Date Modified Username Field Change
2007-05-20 19:37 janfrode New Issue
2007-05-20 19:37 janfrode Status new => assigned
2007-05-20 20:14 kbsingh@karan.org Note Added: 0005204
2007-05-20 20:14 kbsingh@karan.org Status assigned => acknowledged
2007-11-12 02:15 kbsingh@karan.org Status acknowledged => resolved
2007-11-12 02:15 kbsingh@karan.org Fixed in Version => 5.1
2007-11-12 02:15 kbsingh@karan.org Resolution open => fixed
2007-11-12 02:15 kbsingh@karan.org Note Added: 0006265
2012-07-21 20:59 toracat Relationship added related to 0003239